Capture transaction
Capture collects money amounts (minimum of 0.99) from a customer bank account of a previously authorized transaction.
This operation creates a new transaction called a Capture transaction. It is linked to the payment you are partially or fully capturing.
You can issue multiple capture requests against a single Authorization. However, the sum of these captures must be less than or equal to what is allowed by the authorized payment.
Ensure you also implement an Event Notification Handler to get transaction status updates. Although the splitToken field is optional at the API level, if you are using ‘guaranteed’ payments, omitting this field will result in a Fail event. When providing a splitToken, be sure the string is URL encoded.
Note for Money Transfer If your application is configured for “Money Transfer” many properties in the
beneficiaryandbeneficiaryAccountobjects will be required. See Send money for more details.
Authentication
Path parameters
Request
The amount to be captured. If the value is omitted, the maximum allowed amount is captured. (maximum of 10 characters with support for 2 decimal places)
International Bank Account Number (IBAN)
Routing Number (9 digits)”
2-letter ISO country code of the beneficiary financial institution
Customer tax ID (e.g. SSN [US], SIN [CA])
Street address line 2 of the beneficiary financial institution (if applicable)
Optional interaction ID parameter for Preauthorization and Capture APIs, inclusion of which signifies consumer interaction tied to data obtained from getTrustlyInteraction function. If not specified, Trustly assumes the consumer is present in session. Set to “consumerNotPresent” to signify that the transaction is merchant-initiated and the consumer is not present.
Response
A unique transaction identifier generated by Trustly (15 character max).
3-letter ISO Currency Code. Currently only USD is supported.
The amount of the transaction. (10 characters with support for 2 decimal places)
The total amount that is still pending completion. (10 characters with support for 2 decimal places)
The total amount that was already paid. (10 characters with support for 2 decimal places)
The total amount that was refunded. (10 characters with support for 2 decimal places)
The total amount that was reversed. (10 characters with support for 2 decimal places)
The balance of the amount paid, minus the amount reversed and/or refunded. (10 characters with support for 2 decimal places)
A descriptive status message. (120 characters)